## org.acedb
Class AceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.biojava.bio.BioException
                        |
                        +--org.acedb.AceException

Direct Known Subclasses:
  AceURLException

public class AceException
extends BioException

Author:
  Thomas Down
See Also:
  Serialized Form

Constructor Summary
`AceException()`
`AceException(java.lang.String message)`
`AceException(java.lang.String message, boolean rec)`
`AceException(java.lang.Throwable ex)`
`AceException(java.lang.Throwable ex, java.lang.String message)`

Method Summary
`boolean` `isRecoverable()`

Methods inherited from class org.biojava.bio.BioException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AceException

    public AceException(java.lang.String message)

### AceException

    public AceException(java.lang.String message,
                        boolean rec)

### AceException

    public AceException(java.lang.Throwable ex)

### AceException

    public AceException(java.lang.Throwable ex,
                        java.lang.String message)

### AceException

    public AceException()

Method Detail

### isRecoverable

    public boolean isRecoverable()